// BindTexture.h: interface for the CBindTexture class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BINDTEXTURE_H__0A5422A2_5A3C_11D3_A9DB_525400E10345__INCLUDED_)
#define AFX_BINDTEXTURE_H__0A5422A2_5A3C_11D3_A9DB_525400E10345__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "afxtempl.h"
#include "Texture.h"

class CTextureNum : public CObject					// liste des textures deja chargees
{
public:
	CTextureNum (GLuint n);
	GLuint m_Texture_num;							// numero opengl
	int m_nb_created;								// nombre de cube utilisant cette texture
};

class CBindTexture : public CTexture  
{
public:
	CBindTexture();
	virtual ~CBindTexture();

	GLuint LoadTexture(CString filename, bool transparent, char alpha);
	void FreeTexture(GLuint num);

private:
	CTypedPtrMap< CMapStringToOb, CString, CTextureNum *> m_Texture_map;
};

#endif // !defined(AFX_BINDTEXTURE_H__0A5422A2_5A3C_11D3_A9DB_525400E10345__INCLUDED_)
