// Joueur.h: interface for the CJoueur class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_JOUEUR_H__89982780_5A75_11D3_A9DB_525400E10345__INCLUDED_)
#define AFX_JOUEUR_H__89982780_5A75_11D3_A9DB_525400E10345__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CJoueur;

#include "GlmModel.h"
#include "Sol.h"
#include "RollingCube.h"

class CJoueur  
{
public:
	int max_pose, pose;
	int m_score;
	bool m_ClipRC;
	bool m_ClipSol;
	GLfloat m_dim[3];
	bool CheckCollision(CSol *s, CRollingCube *r);
	float m_rv;
	float m_v;
	float m_angle;
	CGlmModel m_object;
	void Draw();
	void Update(int t, CSol *s, CRollingCube *r);
	CJoueur(char *filename);
	virtual ~CJoueur();
	float m_x, m_y, m_z;
	bool m_g,m_d,m_h,m_b,m_a1,m_a2;
private:
	GLuint m_num_list;
};

#endif // !defined(AFX_JOUEUR_H__89982780_5A75_11D3_A9DB_525400E10345__INCLUDED_)
