// RollingCube.h: interface for the CRollingCube class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROLLINGCUBE_H__F52364A2_5BFC_11D3_A9DB_525400E10345__INCLUDED_)
#define AFX_ROLLINGCUBE_H__F52364A2_5BFC_11D3_A9DB_525400E10345__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CRollingCube;
#include "Cube.h"
#include "Sol.h"

class CRollingCube
{
public:
	bool Cube(GLfloat x, GLfloat y);
	int m_v_disappear;
	bool Action(int x, int y);
	bool Action(GLfloat x, GLfloat z);
	int m_v_speed;
	CRollingCube(int sizex, int sizez, float r, CString& texture_filename, float posx = 0, float posy = 0, float posz = 0);
	virtual ~CRollingCube();

	void Update(int t, CSol *s);
	void Draw();

	int **m_option;
	float m_posx, m_posy, m_posz;

private:
	int m_sizex, m_sizez;
	int m_t;
	float m_r;
	CCube * c;
};

#endif // !defined(AFX_ROLLINGCUBE_H__F52364A2_5BFC_11D3_A9DB_525400E10345__INCLUDED_)
