// Flare.h: interface for the CFlare class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FLARE_H__E420E240_5FC6_11D3_A9DB_525400E10345__INCLUDED_)
#define AFX_FLARE_H__E420E240_5FC6_11D3_A9DB_525400E10345__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Light.h"

typedef struct t_flare {
  GLfloat color[3];
} Flare;

class CFlare  
{
public:
	void SetPos(GLfloat p[3]);
	CFlare(GLfloat p[3], float scale = 1.0,float intens = 1.0f, float q_attenuation = 0.5f);
	virtual ~CFlare();
	Flare set_flare(GLfloat color[3]);
	void Draw(GLfloat from[3]);
	void setup_texture(char *filename, GLuint texobj);
	GLfloat pos[3];
	Flare flare[3];
	int num_flares;
	int shine_tic;
	GLuint shineTex[10];
	float sc, q_att;

private:
	float intensite;
	CLight *l;
	void AddLight();
};

#endif // !defined(AFX_FLARE_H__E420E240_5FC6_11D3_A9DB_525400E10345__INCLUDED_)
