#ifndef __VEC3D__
#define __VEC3D__

void vnorm(float vec[3]);
float vdot(float a[3], float b[3]);
void vdiff(float dst[3], float a[3], float b[3]);
void vadd(float dst[3], float a[3], float b[3]);
void vcopy(float dst[3], float src[3]);
void vscale(float dst[3], float src[3], float scale);
void vcross(float cross[3], const float v1[3], const float v2[3]);


#endif // __VEC3D__